# Live Scanning

**urlscan Pro** - Live Scanning allows users to scan websites from different geographical locations and using different device settings.
See additional info about this proprietary feature on [urlscan Pro](https://pro.urlscan.io/help/livescan).

 - [GET /api/v1/livescan/scanners/](https://docs.urlscan.io/apis/urlscan-openapi/live-scanning/getlivescanscanners.md): API Endpoint to a list of available Live Scanning nodes along with their current metadata.
 - [POST /api/v1/livescan/{scannerId}/task/](https://docs.urlscan.io/apis/urlscan-openapi/live-scanning/createlivescantask.md): Task a URL to be scanned. The HTTP request will return with the scan UUID immediately and then it is your responsibility to poll the result resource type until the scan has finished.
 - [POST /api/v1/livescan/{scannerId}/scan/](https://docs.urlscan.io/apis/urlscan-openapi/live-scanning/createlivescanscan.md): Task a URL to be scanned. The HTTP request will **block** until the scan has finished.
 - [GET /api/v1/livescan/{scannerId}/{resourceType}/{resourceId}](https://docs.urlscan.io/apis/urlscan-openapi/live-scanning/getlivescanresource.md): Retrieve the resource for a particular scan ID or SHA256 from this live scanner.
 - [PUT /api/v1/livescan/{scannerId}/{scanId}/](https://docs.urlscan.io/apis/urlscan-openapi/live-scanning/storelivescanresult.md): Store the temporary scan as a permanent snapshot on urlscan.io.
 - [DELETE /api/v1/livescan/{scannerId}/{scanId}/](https://docs.urlscan.io/apis/urlscan-openapi/live-scanning/discardlivescanresult.md): Purge temporary scan from scanner immediately. Scans will be automatically purged after 60 minutes.
